summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Woodfall2018-06-29 00:18:40 +0200
committer David Spencer2018-06-29 00:18:40 +0200
commit0ddf13c33815eeca5f42e9251766f0d92c98480d (patch)
treee7fea89653367a802a1edb6633fa81f12420b40b
parent480febf93a0494fc8883b7d6544144cac6b4489e (diff)
downloadslackbuilds-0ddf13c33815eeca5f42e9251766f0d92c98480d.tar.gz
libraries/libxlsxwriter: Added (C library for Excel XLSX files).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--libraries/libxlsxwriter/README24
-rw-r--r--libraries/libxlsxwriter/libxlsxwriter.SlackBuild95
-rw-r--r--libraries/libxlsxwriter/libxlsxwriter.info10
-rw-r--r--libraries/libxlsxwriter/slack-desc19
4 files changed, 148 insertions, 0 deletions
diff --git a/libraries/libxlsxwriter/README b/libraries/libxlsxwriter/README
new file mode 100644
index 0000000000..45567e168f
--- /dev/null
+++ b/libraries/libxlsxwriter/README
@@ -0,0 +1,24 @@
+A C library for creating Excel XLSX files
+
+Libxlsxwriter is a C library that can be used to write text, numbers, formulas
+and hyperlinks to multiple worksheets in an Excel 2007+ XLSX file. It supports
+features such as:
+
+* 100% compatible Excel XLSX files.
+* Full Excel formatting.
+* Merged cells.
+* Defined names.
+* Autofilters.
+* Charts.
+* Data validation and drop down lists.
+* Worksheet PNG/JPEG images.
+* Memory optimization mode for writing large files.
+* Source code available on GitHub.
+* FreeBSD License.
+* ANSI C.
+* Works with GCC, Clang, Xcode, MSVC 2015, ICC, TCC, MinGW, MingGW-w64/32.
+* Works on Linux, FreeBSD, OpenBSD, OS X, iOS and Windows. Also works on
+ MSYS/MSYS2 and Cygwin.
+* Compiles for 32 and 64 bit.
+* Compiles and works on big and little endian systems.
+* The only dependency is on zlib.
diff --git a/libraries/libxlsxwriter/libxlsxwriter.SlackBuild b/libraries/libxlsxwriter/libxlsxwriter.SlackBuild
new file mode 100644
index 0000000000..2e029f89c9
--- /dev/null
+++ b/libraries/libxlsxwriter/libxlsxwriter.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for libxlsxwriter
+# Copyright 2018 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libxlsxwriter
+VERSION=${VERSION:-0.7.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-RELEASE_$VERSION
+tar xvf $CWD/$PRGNAM-RELEASE_$VERSION.tar.gz
+cd $PRGNAM-RELEASE_$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ docs *.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libxlsxwriter/libxlsxwriter.info b/libraries/libxlsxwriter/libxlsxwriter.info
new file mode 100644
index 0000000000..9c600acafb
--- /dev/null
+++ b/libraries/libxlsxwriter/libxlsxwriter.info
@@ -0,0 +1,10 @@
+PRGNAM="libxlsxwriter"
+VERSION="0.7.7"
+HOMEPAGE="https://libxlsxwriter.github.io/"
+DOWNLOAD="https://github.com/jmcnamara/libxlsxwriter/archive/RELEASE_0.7.7/libxlsxwriter-RELEASE_0.7.7.tar.gz"
+MD5SUM="c79b4d2004fbf8823e88a4c2f425d860"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
diff --git a/libraries/libxlsxwriter/slack-desc b/libraries/libxlsxwriter/slack-desc
new file mode 100644
index 0000000000..32e657db29
--- /dev/null
+++ b/libraries/libxlsxwriter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libxlsxwriter: libxlsxwriter (C library for creating Excel XLSX files)
+libxlsxwriter:
+libxlsxwriter: Libxlsxwriter is a C library that can be used to write text, numbers,
+libxlsxwriter: formulas and hyperlinks to multiple worksheets in an Excel 2007+ XLSX
+libxlsxwriter: file.
+libxlsxwriter:
+libxlsxwriter: https://libxlsxwriter.github.io/
+libxlsxwriter:
+libxlsxwriter:
+libxlsxwriter:
+libxlsxwriter: